com.cloudera.flume.handlers.thrift

## Interface ThriftFlumeEventServer.Iface

- All Known Implementing Classes:
    ThriftFlumeEventServer.Client
  Enclosing class:
    ThriftFlumeEventServer

      public static interface ThriftFlumeEventServer.Iface

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(ThriftFlumeEvent evt)`
    `void` | `close()`

- - ### Method Detail

    - #### append

          void append(ThriftFlumeEvent evt)
                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### close

          void close()
                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.